using System;
using System.Data;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Collections.Generic;

using CRM.BLL;
using CRM.Model;
using CRM.Common;

public partial class Pages_Client_ClientStepBottomRemind : System.Web.UI.Page
{
    protected void Init_Data()
    {
        if (Request.QueryString["ClientID"] != null)
        {
            ClientRemindListControl1.Bind(Request.QueryString["ClientID"], "", "0");
            GridView GridView1 = (GridView)ClientRemindListControl1.FindControl("GridView1");
            GridView1.Columns[1].Visible = false;
        }
    }
    protected void ClientRemindListControl1_RowDataBound(object sender, EventArgs e)
    {
        ((GridView)ClientRemindListControl1.FindControl("GridView1")).Controls[0].Controls[0].Visible = false;
        ((Panel)ClientRemindListControl1.FindControl("Panel1")).Visible = false;

        GridView GridView1 = (GridView)ClientRemindListControl1.FindControl("GridView1");
        for (int i = 0; i < GridView1.Rows.Count; i++)
        {
            ((LinkButton)((GridView)ClientRemindListControl1.FindControl("GridView1")).Rows[i].FindControl("LinkButton1")).Enabled = false;
        }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            GridView GridView1 = (GridView)ClientRemindListControl1.FindControl("GridView1");
            GridView1.Columns[1].Visible = false;
        }

        ClientRemindListControl1.Bind(Request.QueryString["ClientID"]);
    }
}
